<?php if ( get_theme_mod('professional_cv_resume_blog_box_enable') ) : ?>

<?php $professional_cv_resume_args = array(
  'post_type' => 'post',
  'post_status' => 'publish',
  'category_name' =>  get_theme_mod('professional_cv_resume_blog_slide_category'),
  'posts_per_page' => get_theme_mod('professional_cv_resume_blog_slide_number'),
); ?>

<div class="slider">
  <div class="owl-carousel">
    <?php $professional_cv_resume_arr_posts = new WP_Query( $professional_cv_resume_args );
    if ( $professional_cv_resume_arr_posts->have_posts() ) :
      while ( $professional_cv_resume_arr_posts->have_posts() ) :
        $professional_cv_resume_arr_posts->the_post();
        ?>
        <div class="blog_inner_box">
          <?php
            if ( has_post_thumbnail() ) :
              the_post_thumbnail();
            endif;
          ?>
          <div class="blog_box pt-3 pt-md-0">
            <?php if ( get_theme_mod('professional_cv_resume_slider_extra_heading') ) : ?>
              <h5><?php echo esc_html(get_theme_mod('professional_cv_resume_slider_extra_heading'));?></h5>
            <?php endif; ?>
            <?php if ( get_theme_mod('professional_cv_resume_title_unable_disable',true) ) : ?>
              <h3 class="my-3"><?php the_title(); ?></a></h3>
            <?php endif; ?>
            <p class="mb-0"><?php echo wp_trim_words( get_the_content(), 20 ); ?></p>
            <?php if ( get_theme_mod('professional_cv_resume_button_unable_disable',true) ) : ?>
              <p class="slider-button mt-4">
                <a href="<?php echo esc_url(get_permalink($post->ID)); ?>"><?php esc_html_e('Know More','professional-cv-resume'); ?></a>
              </p>
            <?php endif; ?>
            <div class="social-links mt-4">
              <?php $professional_cv_resume_settings = get_theme_mod( 'professional_cv_resume_social_links_settings' ); ?>
              <?php if ( is_array($professional_cv_resume_settings) || is_object($professional_cv_resume_settings) ){ ?>
                <span><?php esc_html_e('Follow Me -','professional-cv-resume'); ?></span>
                <?php foreach( $professional_cv_resume_settings as $professional_cv_resume_setting ) { ?>
                  <a href="<?php echo esc_url( $professional_cv_resume_setting['link_url'] ); ?>">
                    <i class="<?php echo esc_attr( $professional_cv_resume_setting['link_text'] ); ?>"></i>
                  </a>
                <?php } ?>
              <?php } ?>
            </div>
          </div>
          <div class="phone-box">
            <?php if ( get_theme_mod('professional_cv_resume_header_phone_text') || get_theme_mod('professional_cv_resume_header_phone_number') ) : ?>
              <div class="row">
                <div class="col-lg-3 col-md-3 col-sm-3 align-self-center">
                  <i class="fas fa-phone"></i>
                </div>
                <div class="col-lg-9 col-md-9 col-sm-9 align-self-center">
                  <h6><?php echo esc_html( get_theme_mod('professional_cv_resume_header_phone_text' ) ); ?></h6>
                  <p class="mb-0"><?php echo esc_html( get_theme_mod('professional_cv_resume_header_phone_number' ) ); ?></p>
                </div>
              </div>
            <?php endif; ?>
          </div>
        </div>
      <?php
    endwhile;
    wp_reset_postdata();
    endif; ?>
  </div>
</div>

<?php endif; ?>